### Method

# EDataBook BookBackendSync get_contact_list

since: 3.34

#### Declaration [src]

    gboolean
    e_book_backend_sync_get_contact_list (
      EBookBackendSync* backend,
      const gchar* query,
      GSList** out_contacts,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Obtains a set of `EContact` instances which satisfy the criteria specified in `query`, and deposits them in `out_contacts`.

The returned `EContact` instances are referenced for thread-safety and must be unreferenced with `g_object_unref()` when finished with them.

If an error occurs, the function will set `error` and return `FALSE`. Note that an empty result set does not necessarily imply an error.

Available since: 3.34

#### Parameters

`query`

  Type: `const gchar*`

  A search query in S-expression format.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`out_contacts`

  Type: A list of `EContact*`

  A `GSList` in which to deposit results.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success, `FALSE` on failure.